PDA

View Full Version : Incorrect MSI engine version included in installation.



dinosaur
07-25-2002, 05:30 PM
How do I tell IS Developer v7.03 to use a different version of the MSI engine? It seems there's a later version than the one that is included in the installation. It didn't "automatically" update a machine that had an older version. Did I do something wrong?

Any help would be appreciated, but please keep it simple. I used IS Pro v5.5 but am new to Developer 7.

Thanks.

Mike

luke_s
07-26-2002, 02:14 AM
I think there are some options in the release wizard to do this, but I am not sure if Install Shield Developer 7 needs windows installer v2.x..

You could just change the instmsiw.exe version in the program files directory for installshield and switch the versions of windows installer that it uses in your built setup.exe.

But make sure that you take a copy of this incase you need it later.

AdronI
07-26-2002, 10:31 AM
In the Release data or Release wizard, you can choose the MSI Release Version. v2.0 ships with Dev70, but you can choose an earlier version (at least 1.2, possibly earlier).

dinosaur
07-26-2002, 04:44 PM
I may have misstated the problem. Developer 7 does seem to use version 2.0 of the MSI, however, on a Win98 machine I was testing my installation on, it didn't install the newer version. I found this out when there was an error on the installation and it said I needed to install MSI 2.0 to un-install it. I did that manually and everything went ok.

Unfortunately, now I can't test that same situation again!

Any help is appreciated.